Subject: Re: FVWM: Questions about multiple-display support

From: Dominik Vogt <[email-masked]>
Date: Tue, 16 Jan 2001 23:40:41 +0100

On Sat, Nov 25, 2000 at 11:33:21PM -0800, [email-masked] wrote:
> 
> Great! I'm only having two problems now here.. I'm using Debian's fvwm2rc
> system with the user hooks in it. I have all my module resource setting
> and Style settings done in my ~/.fvwm/post.hook
> My post.hook is Read'ing post.hook.$[screen], which have per-display
> customisations for FvwmIconMan and FvwmPager.
> 
> I am loading FvwmIconMan from my init-restart.hook, as the local
> documentation indicates I should. FvwmPager is loading from the system
> fvwm2rc file.
> 
> Problem: My FvwmPagerGeometry setting is halfway-honoured: The size part
> is honoured but the placement part isn't, for either screen.

I have no idea why.  Can you provide your config file, please?
Which 2.3.x version are you currently using?

> Problem: (old problem even with fvwm 2.2) I gain two instances of
> FvwmIconMan per screen, superimposed on each other. My gut feeling is that
> there will be 'n' of these, where n is the number of screens attached to
> the session.
> 
> I've checked, and discovered that even loading FvwmIconMan from
> init-restart.hook.0 and not from .1 loads two instances on screen 0. It
> appears that FvwmIconMan is too smart for its own good?

No, FvwmIconMan knows nothing about multiple screens.  If it is
started more than once it must be because some part of the config
file is executed twice.

> On Sun, 26 Nov 2000, Dominik Vogt wrote:
> 
> > On Sat, Nov 25, 2000 at 05:45:53PM -0800, [email-masked] wrote:
> > > 
> > > I'm running fvwm on xfree86 4.0.1 with two screens. I would like to be
> > > able to have seperate per-screen configurations.
> > > I started with fvwm 2.2 from Debian, and I'm currently using fvwm 2.3 from
> > > CVS, and there appears to be no capability to define seperate
> > > configurations. Can this feature be added in time for 2.4?
> > 
> > This is not hard to accomplish with 2.3.x.  Put all the common
> > lines in your central configuration file (.fvwm2rc) and add this
> > line at the end:
> > 
> >   Read .fvwm2rc.$[screen]
> > 
> > Then create a file .fvwm2rc.0 for your first screen .1 for the
> > second screen and so on.  The only thing you have to make sure is
> > that the files have to be found in the config dir, which usually
> > is $HOME/.fvwm if you did not modify anything (I believe - at
> > least it works for me).

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked]
Date: Tue, 16 Jan 2001 23:12:06 -0800

> Which 2.3.x version are you currently using?

Our nice Debian maintainer is doing an experimental packaging of 2.3.x
and I'll be trying that out soon and find out if that fvwm version still
has the problem.

Basically, the system fvwm2rc file defined an FvwmPagerGeometry, then
loads the user's configuration hooks which in this case also have
FvwmPagerGeometry settings. So if you have multiple FvwmPagerGeometry
lines sourced the placement part of the geometry is only honoured for
the FIRST instance.

> started more than once it must be because some part of the config

I THINK this might have been a bug in Debian's system fvwm2rc file. It
disappeared on me after a bit of fiddling, but again I'll check it out
with the experimental packages.

-- Ferret

Who just had his secondary monitor in the shop for corner pincushion
adjustment and diagnostics, and it came out in worse shape than it went
in. Arrrgh!

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 17 Jan 2001 19:38:09 +0100

> lines sourced the placement part of the geometry is only honoured for

Okay, I found the problem in the code.  The biggest problem (among
others) was, that the sign of the x/y value of the geometry was
reset for the further geometries, so this

  *FvwmPagerGeometry -0-0
  *FvwmPagerGeometry +20+20

resulted in this final geometry:

  *FvwmPagerGeometry -20-20

Will be fixed in the next beta release.

Bye

Dominik ^_^  ^_^